/**
 * @file      nstdc_errno.h
 * @brief     エラー番号を扱うモジュール
 * @author    Nomura Kei
 * @copyright 2003 - 2017  Nomura Kei
 * License: New BSD License (3-cclause BSD license)
 *
 * 直近に発生したエラー番号を扱います.
 */
#ifndef NSTDC_ERRNO_H
#define NSTDC_ERRNO_H

#include <stddef.h>
#include <stdbool.h>

#include <nstdc.h>



#ifdef __cplusplus
extern "C" {
#endif

int  nstdc_get_errno(void);
void nstdc_set_errno(int errnum);
bool nstdc_get_errmsg(int errnum, char* buf, size_t buflen);


#ifdef __cplusplus
}
#endif

#endif	/* NSTDC_ERRNO_H	*/

